Index: contrib/nightly_tests/README
===================================================================
--- contrib/nightly_tests/README	(revision 608)
+++ contrib/nightly_tests/README	(revision 612)
@@ -22,8 +22,15 @@
       # pkg_add -r -v wget
       # pkg_add -r -v `wget http://www.freediameter.net/hg/freeDiameter/raw-file/tip/contrib/nightly_tests/prereqs.freebsd -O - | grep -v -e "^#"`
+      
+  c) OpenSUSE:
+	$ sudo zypper install `wget http://www.freediameter.net/hg/freeDiameter/raw-file/tip/contrib/nightly_tests/prereqs.opensuse -O - | grep -v -e "^#"`
+  
+  d) Fedora:
+	$ sudo yum install `wget http://www.freediameter.net/hg/freeDiameter/raw-file/tip/contrib/nightly_tests/prereqs.fedora -O - | grep -v -e "^#"`
+        
 
 2) Create the "test" database for app_acct test (we assume the tests are run as user "test" here)
       - check INSTALL.FreeBSD file for specific PostgreSQL pre-install instructions.
-      - These are the instructions for Debian/Ubuntu, adjust as needed:
+      - These are the instructions for Debian/Ubuntu/OpenSUSE,  adjust as needed:
 	# su - postgres
 	# createuser test
@@ -50,4 +57,5 @@
 	 "Route-Record4" bytea );
 	 \q
+	 
 
 3) Create a directory ~/fDtests
@@ -66,5 +74,5 @@
    	$ echo "set(CTEST_BUILD_OPTIONS \"\${CTEST_BUILD_OPTIONS} -DFLEX_EXECUTABLE:FILEPATH=/usr/local/bin/flex\")" >> local.cmake
 	
-6) Run the runscript.sh script once to check it works properly (freeBSD might require: ln -s /usr/local/bin/bash /bin/bash)
+6) Run the runtests.sh script once to check it works properly (freeBSD might require: ln -s /usr/local/bin/bash /bin/bash)
 
 7) Set up a crontab to run the script
Index: contrib/nightly_tests/prereqs.fedora
===================================================================
--- contrib/nightly_tests/prereqs.fedora	(revision 612)
+++ contrib/nightly_tests/prereqs.fedora	(revision 612)
@@ -0,0 +1,6 @@
+# Fedora packages names of dependencies for nightly tests (using "yum install <packages>"):
+cmake make gcc flex bison lksctp-tools-devel gnutls-devel libgcrypt-devel mercurial
+postgresql-server postgresql-devel
+mysql-server mysql-devel
+libxml2 libxml2-devel
+swig python-devel
Index: contrib/nightly_tests/prereqs.freebsd
===================================================================
--- contrib/nightly_tests/prereqs.freebsd	(revision 608)
+++ contrib/nightly_tests/prereqs.freebsd	(revision 612)
@@ -2,3 +2,4 @@
 # 2: install wget with command: pkg_add -r -v wget
 # Finally, install the other packages from this file
-bash cmake mercurial flex bison gnutls postgresql84-client postgresql84-server mysql50-client libxml2
+# pkg_add -r -v `wget http://www.freediameter.net/hg/freeDiameter/raw-file/tip/contrib/nightly_tests/prereqs.freebsd -O - | grep -v -e "^#"``
+bash cmake mercurial flex bison gnutls postgresql84-client postgresql84-server mysql50-client libxml2 swig
Index: contrib/nightly_tests/prereqs.opensuse
===================================================================
--- contrib/nightly_tests/prereqs.opensuse	(revision 612)
+++ contrib/nightly_tests/prereqs.opensuse	(revision 612)
@@ -0,0 +1,7 @@
+# OpenSUSE packages names of dependencies for nightly tests (using "zypper install <packages>"):
+# zypper install `wget http://www.freediameter.net/hg/freeDiameter/raw-file/tip/contrib/nightly_tests/prereqs.opensuse -O - | grep -v -e "^#"`
+cmake mercurial make gcc flex bison lksctp-tools-devel libgnutls-devel libgcrypt-devel
+postgresql-server postgresql-devel libmysqlclient-devel libxml2-devel swig python-devel
+
+# Afterwards, you may need to issue the following command so that postgresql starts at boot: 
+#  insserv postgresql
Index: contrib/nightly_tests/prereqs.ubuntu
===================================================================
--- contrib/nightly_tests/prereqs.ubuntu	(revision 608)
+++ contrib/nightly_tests/prereqs.ubuntu	(revision 612)
@@ -1,3 +1,3 @@
 # Packages (Ubuntu names)
-cmake mercurial make gcc flex bison binutils libsctp-dev libgnutls-dev valgrind wget libpq-dev postgresql libmysqlclient-dev libxml2-dev libxml2
+cmake mercurial make gcc flex bison binutils libsctp-dev libgnutls-dev valgrind wget libpq-dev postgresql libmysqlclient-dev libxml2-dev libxml2 swig python-dev 
 
